%% Clearing the workspace
clear all; 

%% Closing all figures
close all; 

load('PEC_cal_plates.mat')

time = (1:length(data_noLO(:,:)))/length(data_noLO(1,:))*60e-3 - 15e-6;
%% Optional Plotting

figure(1); 

plot(time*1000, data_noLO(5,:),'r'); grid on; hold on; 
plot(time*1000, data_LO(5,:),'k'); grid on; hold on; 

legend('2 mm lift-off', '12 mm lift-off');
figure(1); 
for i = 1:size(data_LO,1)-1 
     plot(time*1000, data_noLO(i,:),'r'); grid on; hold on; 
     plot(time*1000, data_LO(i,:),'k'); grid on; hold on; 
end

%% Calculating beta
for i = 1:size(data_noLO,1)  
    temp1 = [time' data_noLO(i,:)']; 
    temp1 = temp1(temp1(:,1)>0.005,:);
    
    temp2 = [time' data_LO(i,:)'];
    temp2 = temp2(temp2(:,1)>0.005,:);        
     
    Y1 = temp1(temp1(:,2)<-1 & temp1(:,2)>-4, 2); 
    X1 = [temp1(temp1(:,2)<-1 & temp1(:,2)>-4, 1) ones(numel(Y1),1)];
    
    Y2 = temp2(temp2(:,2)<-1 & temp2(:,2)>-4, 2); 
    X2 = [temp2(temp2(:,2)<-1 & temp2(:,2)>-4, 1) ones(numel(Y2),1)];
     
    gr_nLO(i,:) = X1\Y1;
    gr_LO(i,:) = X2\Y2;
    
    feat_nLO(i,:) = abs(gr_nLO(i,1))^-1; 
    feat_LO(i,:) = abs(gr_LO(i,1))^-1; 
end

%% Plotting feature values 
figure; grid on; hold on; 

plot(feat_nLO*1000, GT, '.b'); plot(feat_LO*1000, GT,'.r');
legend('2 mm lift-off', '12 mm lift-off')
